﻿@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;600;700&display=swap');

@font-face {
    font-family: 'Montserrat';
    src: url('/myrewards/profile/commonfiles/css/frameworks/fonts/Montserrat-Regular.ttf') format('truetype');
    font-weight: 500;
    
}

* {
    color: #343840;
    font-family: 'Open Sans';
}

h1 {
    font-size:36px;
}
h2{
    font-size:30px;
}
h3 {
    font-size: 26px;
}
h4 {
    font-size: 22px;
}
h5 {
    font-size: 18px;
}
h6 {
    font-size: 16px;
}

h1, h2, h3, h4, h5, h6, legend {
    font-family: 'Montserrat', sans-serif;
    font-weight: 700; /* bold */
    text-transform: uppercase;
    margin-bottom: 16px;
}

p {
    font-family: 'Open Sans';
    margin-bottom: 16px;
    font-size:16px;
}

label{
    font-size:14px;
}

.paragraph-tiny, .hyperlink-tiny {
    font-size: 11px;
    line-height: 18px;
}
.paragraph-small, .hyperlink-small {
    font-size: 14px;
    line-height: 20px;
}
.paragraph-default, .hyperlink-default {
    font-size: 16px;
    line-height: 25px;
}
.paragraph-large, .hyperlink-large {
    font-size: 18px;
    line-height: 30px;
}

.form-instructional-text{
    font-size:14px;
    margin-bottom:8px;
}
.form-instructional-text ul, .form-instructional-text p{
    margin-bottom: 0;
}
.form-logo {
    text-align: center;
}

.form-logo img {
    width: 114px;
    height: 40px;
}

/* Default form panel --600px wide-- */
.form-panel {
    position: relative;
    width: 600px;
    max-width: 600px;
    padding: 48px;
    box-shadow: 0 0 2px 0 rgba(0,0,0,0.06), 0 1px 3px 0 rgba(0,0,0,0.1);
    border-radius: 4px;
    margin: auto auto;
    background-color: white;
    /* allows padding not to resize the box */
    -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
    -moz-box-sizing: border-box; /* Firefox, other Gecko */
    box-sizing: border-box; /* Opera/IE 8+ */
}

/* Small size only the sign-in form panel --420px wide-- */
.__form-small {
    width: 420px;
    max-width: 420px;
}

.input-form-group{
    position:relative;
}

input, .bootstrap-select .btn-light{
    outline:none;
    display: block;
    height: 44px;
    border-radius: 4px;
    border: 1px solid #BEC0C5;
    width: 100%;
    padding: 8px 16px;
    font-size:14px;
    font-weight:600;
}

/*override custom dropdownlist styles start*/
.dropdown.bootstrap-select {
    height: 44px;
}
.bootstrap-select .dropdown-toggle .filter-option {
    padding-right:8px;
}
.bootstrap-select .dropdown-menu li a span.text {
    font-size: 14px; 
}

.bootstrap-select .btn-light {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-color: #FFFFFF;
} 

.dropdown-toggle::after {
    display:none;
}
.dropup .dropdown-toggle::after {
    display: none;
}

.btn-light > i.ddl-arrow-down {
    font: normal normal normal 14px/1 FontAwesome;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    padding-top: 8px;
    position: absolute;
    right: 8px;
    font-size: 22px;
    padding-left: 8px;
    pointer-events: none;
    color: #343840;
}
.bootstrap-select .dropdown-toggle .filter-option {
    width: 95%;
} 
.bootstrap-select .btn-light .filter-option .filter-option-inner {
    margin-top: 8px;
} 

.bootstrap-select .dropdown-toggle:focus, .bootstrap-select .dropdown-toggle:active, .btn-light:not(:disabled):not(.disabled):active:focus{
    outline: none !important;	/* important needed to overwrite bootstrap style */
    outline-offset: initial;
    box-shadow: 0 10px 15px -3px rgba(0,0,0,0.1), 0 4px 6px -2px rgba(0,0,0,0.06);
}
.bootstrap-select .dropdown-menu li a{
    height:36px;
}
.bootstrap-select .dropdown-menu li a:focus{
    outline:0 !important;
}
.dropdown-item.active, .dropdown-item:active {
    line-height: 25px;
    font-family: 'Open Sans';
    font-weight: 600;
    background-color: #FFFFFF;
    color: #343840;
    font-size: 14px;
}

.bootstrap-select .dropdown-menu, .bootstrap-select .dropdown-divider {
    border: 1px solid #F1F1F6;
    border-radius: 0px 4px 0px 4px;
}

.bootstrap-select .dropdown-header {
    user-select: none;
}

.bootstrap-select .dropdown-header .fa {
	/* margin-right compensates for the nbsp character 
	being added after span is created */
	margin-right: -.25em;
	padding-right: 8px;
	opacity: 0.5;
}

.bootstrap-select .dropdown-header.dropdown-header-disabled {
    	cursor: not-allowed;
	opacity: 0.4;
}

.bootstrap-select .dropdown-header, .bootstrap-select .dropdown-item{
	padding-left: 16px;
	padding-right: 16px;
}

.bootstrap-select  .dropdown-menu .dropdown-item.opt {
	padding-left: 48px;
}

.dropdown-item.active, .dropdown-item:active {
    background-color: none; 
}  
.dropdown-item:focus, .dropdown-item:hover {
    font-family: 'Open Sans';
    background-color: #F1F1F6;
}
/*shadow effect for the dropdownlist*/
.dropdown-menu .show {
    box-shadow: 0 4px 6px -1px rgba(0,0,0,0.1), 0 2px 4px -1px rgba(0,0,0,0.06);  
}
.bootstrap-select.input-error, .bootstrap-select.input-error.active, .bootstrap-select.input-error:active, .bootstrap-select.input-error.focus, .bootstrap-select.input-error:focus {
    border-style: none;
}
/*dropdownlist error state start*/
.dropdown.bootstrap-select.input-error {
    border-radius: 4px; 
}
.input-error .btn-light{
    border: 2px solid #D60000;
    color: #D60000;
}  

/*dropdownlist error state end*/
/*override custom dropdownlist styles end*/

input:focus, input:valid{
    padding-top:18px;
}

    input:focus, .btn-light:not(:disabled):not(.disabled).active, .btn-light:not(:disabled):not(.disabled):active, .show > .btn-light.dropdown-toggle,
.btn-light:not(:disabled):not(.disabled).focus, .btn-light:not(:disabled):not(.disabled):focus{
        border-width: 1px 1px 3px 1px;
        border-color: #141414;
        border-style: solid;
        color: #343840;
	background-color: #FFFFFF;
    }

 .password-input {
    padding-right:112px;
}

.input-error {
    border: 2px solid #D60000;
    color: #D60000;
}
/* Use this breakpoint to toggle into small screen view at a max width of 600px
*  This will also ensure that form panels that are 600px wide also get the same
*  treatment for mobile --portrait and landscape--
*/
@media only screen and (max-width: 600px) {
    .form-panel {
        width: auto;
        max-width: unset;
        min-height: 100vh;
        height: 100%;
        margin: 0 auto;
    }
    .form-panel .cr-button-red, .form-panel .cr-button-outline{
        width:100%;
    }
}


a {
    font-family: 'Open Sans';
    font-weight: 600;
    color: #343840;
}

a:hover {
    color: #343840;
    text-decoration:underline;
}

.spacing-micro {
    width: 8px;
    height: 8px;
}
.spacing-tiny{
    width:8px;
    height:8px;
}
.spacing-xx-small {
    width: 10px;
    height: 10px;
}
.spacing-x-small {
    width: 12px;
    height: 12px;
}
.spacing-small {
    width: 16px;
    height:16px;
}
.spacing-standard {
    width: 24px;
    height:24px;
}
.spacing-semi {
    width: 32px;
    height:32px;
}
.spacing-large {
    width: 48px;
    height: 48px;
}
.spacing-x-large {
    width: 64px;
    height: 64px;
}

.shadow-small {
    box-shadow: 0 0 2px 0 rgba(0,0,0,0.06), 0 1px 3px 0 rgba(0,0,0,0.1);
}
.shadow-standard {
    box-shadow: 0 4px 6px -1px rgba(0,0,0,0.1), 0 2px 4px -1px rgba(0,0,0,0.06);
}
.shadow-large {
    box-shadow: 0 10px 15px -3px rgba(0,0,0,0.1), 0 4px 6px -2px rgba(0,0,0,0.06);
}
.shadow-x-large {
    box-shadow: 0 20px 25px -5px rgba(0,0,0,0.1), 0 10px 10px -5px rgba(0,0,0,0.06);
}
.shadow-2x-large {
    box-shadow: 0 25px 50px -12px rgba(0,0,0,0.25), 0 10px 10px -5px rgba(0,0,0,0.04);
}

.placeholder {
    transition: 0.2s ease all;
    -moz-transition: 0.2s ease all;
    -webkit-transition: 0.2s ease all;
    -ms-transition: 0.2s ease all;
    -o-transition: 0.2s ease all;
    user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    position: absolute;
    padding: 14.5px 16px;
    margin-bottom: 0px;
    line-height: 1;
    height: 44px;
    top: 0;
	pointer-events: none;

}

input:valid + .placeholder, input:focus + .placeholder, select:focus ~ .placeholder, select:valid ~ .placeholder  {
    padding-top: 4px;
    font-size: 10px;
}

input:-webkit-autofill + .placeholder,
input:-webkit-autofill:hover + .placeholder,
input:-webkit-autofill:focus + .placeholder,
input:-webkit-autofill:active + .placeholder {
    padding-top: 4px;
    font-size: 10px;
}
/* over ride telephone css start*/
.iti--allow-dropdown {
    width: 100%;
}
.iti__selected-dial-code{
    font-size: 14px;
    margin-left: 18px !important;
}
.iti__selected-flag > div:nth-of-type(1) {
     width:20px;
    height:15px;
}
.iti--allow-dropdown input {
    padding-top: 18px;
}

.iti--allow-dropdown input, .iti--allow-dropdown input[type=text], .iti--allow-dropdown input[type=tel], .iti--separate-dial-code input, .iti--separate-dial-code input[type=text], .iti--separate-dial-code input[type=tel] {
    padding-left: 80px;
}

.iti--allow-dropdown input:valid + .placeholder, .iti--allow-dropdown input:focus + .placeholder {
    padding-left: 80px;
}

.iti__flag-container {
    width: 106px;
}

.iti__selected-flag {
    border-radius: 3px 0 0 3px;
    background-color: #F1F1F6;
    padding-left: 15px;
}
/* override telephone css end*/

/* CAUTION: Internet Explorer hackery ahead */
select::-ms-expand {
    display: none; /* Remove default arrow in Internet Explorer 10 and 11 */
}

/* Target Internet Explorer 9 to undo the custom arrow */
@media screen and (min-width:0\0) {
    select {
        background: none\9;
        padding: 5px\9;
    }
}

input[type=checkbox] {
    display: none;
}

input[type=checkbox] + .checkbox-label {
    display: inline-block;
    cursor: pointer;
    font-size: 11px;
    user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    -o-user-select: none; 
	margin-bottom:0px;
}
input[type=checkbox]:focus {
    background-color: #343840;
}
.bootstrap-select .dropdown-toggle .filter-option-inner-inner{
    text-overflow:ellipsis;
    line-height:18px;
}
.bootstrap-select .fa-times:before, .bootstrap-select .fa-angle-down:before {
    visibility: hidden;
}
.btn-light> i.ddl-arrow-down {
    background: #FFFFFF url('/myrewards/profile/commonfiles/images/angle-down.svg') right center no-repeat;
}
.show .btn-light > i {
    background: #FFFFFF url('/myrewards/profile/commonfiles/images/close.svg') right center no-repeat;
} 
    input[type=checkbox]:checked + .checkbox-label:before {
        background: url('/myrewards/profile/commonfiles/images/checkbox_selected_active.svg') #FFF;
        border: 0px;
    }

input[type=checkbox] + .checkbox-label:before {
    content: " ";
    display: inline-block;
    height: 18px;
    width: 18px;
    background-color: #FFFFFF;
    border: 1px solid #141414;
    margin-right: 10px;
}

input[type="checkbox"][disabled] + .checkbox-label:before {
    border-color: #888;
    background-color: #343840;
}

input[type="checkbox"][disabled] + .checkbox-label {
    color: #343840;
    font-size: 14px;
    line-height: 20px;
}

.form-group {
    margin-bottom: 16px;
}
@media only screen and (max-width: 386px) {
    .username-placeholder {
        padding: 7.5px 16px;
    }
}
.showpass-button {
    font-family: 'Open Sans';
    z-index: 2;
    background-color: #F0F0F0;
    border-radius: 1px;
    height: 28px;
    width: 72px;
    cursor: pointer;
    display: table;
    position: absolute;
    margin-top: 8px;
    margin-left: Calc(100% - 104px);
}


.showpass-button i, .showpass-button div{
        color: #343840;
}

.showpass-icon, .showpass-text {
    display: table-cell;
    vertical-align: middle;
}
.showpass-icon {
    text-align: center;
    padding-left: 4px;
}

.showpass-text {
font-size:11px;
text-align:center;
}

.action-links-text {
    text-align: center;
    font-size: 13px;
}

.form-error-text {
    color: #D60000;
    font-size: 11px;
    margin-top: 8px;
    line-height: 14px;
    font-family:'Open Sans';
	display:none;
}

.cr-button-red {
    background-color: #AD1F23;
    height: 36px;
    min-width: 133px;
    font-family: 'Open Sans';
    font-weight: 600;
    font-size: 14px;
    letter-spacing: 1px;
    color: #FFFFFF;
    border-radius: 4px;
    display: inline-block;
    padding: 0px 16px;
    line-height: 36px;
    text-align: center;
    text-transform: uppercase;
}

    .cr-button-red:hover {
        box-shadow: 0 10px 15px -3px rgba(0,0,0,0.1), 0 4px 6px -2px rgba(0,0,0,0.06);
        text-decoration: none;
        color: #FFFFFF;
        background-color: #971B1F;
    }

.cr-button-outline {
    background-color: #FFFFFF;
    height: 36px;
    min-width: 133px;
    font-family: 'Open Sans';
    font-weight: 600;
    font-size: 14px;
    letter-spacing: 1px;
    color: #AD1F23;
    border-radius: 4px;
    border: 1px solid #AD1F23;
    display: inline-block;
    padding: 0px 16px;
    line-height: 36px;
    text-align: center;
    text-transform: uppercase;
}

.cr-button-outline:hover{
    box-shadow: 0 10px 15px -3px rgba(0,0,0,0.1), 0 4px 6px -2px rgba(0,0,0,0.06);
    text-decoration: none;
    color: #AD1F23;
}

.notification-banner {
    text-align: left;
    width: 100%;
    padding: 16px;
    display: table;
    margin-bottom: 16px;
    font-size: 16px;
}

.notification-icon {
    display: table-cell;
    vertical-align: middle;
    padding-right: 16px;
    font-size: 20px;
}

.notification-content {
    display: table-cell;
    vertical-align: middle;
}

.notification-content a{
    text-decoration:underline;
}

.notification-close {
    display: table-cell;
    vertical-align: middle;
    font-size: 14px;
    padding-left:16px;
}

.notification-close i{
    cursor: pointer;
    font-weight:300;
}

.danger-message, .danger-message div, .danger-message i, .danger-message a {
    background-color: #fbeded;
    color: #D60000;
}

.primary-message, .primary-message div, .primary-message i, .primary-message a {
    background-color: #f0faff;
    color: #0277BD;
}

.warning-message, .warning-message div, .warning-message i, .warning-message a {
    background-color: #fcf7e0;
    color: #A85D00;
}

.success-message, .success-message div, .success-message i, .success-message a {
    background-color: #E9F1E6;
    color: #3C763D;
}

.danger-message a, .primary-message a, .warning-message a, .success-message a{
    text-decoration:underline;
}
:-moz-ui-invalid {
    box-shadow: none;
}